/* SPDX-License-Identifier: BSD-3-Clause OR GPL-2.0-only */

/*!
 * @internal
 * @file
 * @author EDT <tech@edt.com>
 * @version 6.1.0
 * @copyright Copyright (C) 2022 Engineering Design Corporation, Inc.
 */

#include "edt_driver_version.h"

static const edt_driver_version_t DRIVER_VERSION = {
    .major = 6,
    .minor = 1,
    .patch = 0,
    .prerelease = "",
    .vcs_id = 0xacbfbbeaU,
    .build_timestamp = 1709251638U,
};

const edt_driver_version_t* edt_driver_get_version(void)
{
  return &DRIVER_VERSION;
}

const char EDT_DRIVER_VERSION[] = "6.1.0";
const uint32_t EDT_DRIVER_VERSION_LEN = sizeof(EDT_DRIVER_VERSION);

const char EDT_DRIVER_BUILDID[] = "20240301000718.acbfbbea";
const uint32_t EDT_DRIVER_BUILDID_LEN = sizeof(EDT_DRIVER_BUILDID);
